Reject applicant action

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to reject an applicant action.

In effect, the action status is updated in the Dashboard to Rejected, and the API response reflects the following state changes:

  • reviewStatus: "completed"
  • reviewResult.reviewRejectType: "FINAL"
  • reviewResult.reviewAnswer: "RED"

Rejection reasons are required and must be grouped by category. You can optionally attach a moderation note and/or tags to the decision.

📘

Notes

  • Rejecting an action updates only the action review result and status. Tags and a moderation note are added only if provided. Associated documents, images, and other data remain unchanged.
  • This method automatically applies the EXTERNAL_DECISION_REJECTION reject label.

Request example

curl -X POST \
     'https://api.sumsub.com/resources/api/applicantActions/663b388x3f882642c48f43af0/-/reject' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
            "note": "Example note",
            "tags": [
              "example-tag"
            ],
            "reasons": {
              "fraud": [
                "multiAccounting",
                "imageManipulation"
              ]
            }
          }'

Response explained

If the request is sent and processed successfully, you will receive a JSON response representing the applicant action with augmented and structured information.

You can see the response structure, possible content with descriptions, and examples of response on the following page.

Response examples

If the request is successfully sent and processed, you will get a response like the the following:

{
  "id": "action_id",
  "createdAt": "2026-05-11 16:15:26",
  "clientId": "your_client_id",
  "externalActionId": "external_action_id",
  "applicantId": "applicantid",
  "type": "paymentMethod",
  "review": {
    "reviewId": "ACvHhX",
    "attemptId": "KYBfvj",
    "attemptCnt": 8,
    "elapsedSincePendingMs": 64391638,
    "elapsedSinceQueuedMs": 64391638,
    "levelName": "test-action",
    "createDate": "2026-05-11 16:16:07+0000",
    "reviewResult": {
      "reviewAnswer": "RED",
      "rejectLabels": [
        "EXTERNAL_DECISION_REJECTION"
      ],
      "reviewRejectType": "FINAL"
    },
    "reviewStatus": "completed"
  },
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "FACE_LIVELINESS",
      "createdAt": "2026-05-11 16:16:05",
      "id": "c7ec345c-2b1b-4a02-92c7-2948vf6bb036b",
      "livenessInfo": {
        "livenessData": {
          "sessionId": "6a0200aea0v8c370e306885fb",
          "images": [
            {
              "imageId": 6421667767
            },
            {
              "imageId": 5165101155
            },
            {
              "imageId": 1852133152
            },
            {
              "imageId": 13701045736
            }
          ]
        },
        "livenessResult": {
          "answer": "GREEN"
        }
      },
      "imageIds": [
        3682136159
      ]
    },
    {
      "answer": "GREEN",
      "checkType": "AUTO_CHECK",
      "createdAt": "2026-05-11 16:16:07",
      "id": "daa654de-a264-4dbcb-b3ec-b32vf02a896f0",
      "attemptId": "jQzQz"
    }
  ],
  "requiredIdDocs": {
    "docSets": [
      {
        "idDocSetType": "SELFIE",
        "types": [
          "SELFIE"
        ],
        "videoRequired": "passiveLiveness",
        "selfieProcessingSettings": {
          "skipFaceMatchCheck": true
        }
      }
    ]
  },
  "agreement": {
    "items": [
      {
        "id": "b5b0a281-6a2a-4298-b13d-c5bv12f5739c8",
        "acceptedAt": "2026-05-11 16:15:34",
        "source": "WebSDK"
      }
    ],
    "createdAt": "2026-05-11 16:15:34",
    "acceptedAt": "2026-05-11 16:15:34",
    "source": "WebSDK"
  },
  "images": [
    {
      "id": "6a0200c5a08c3v70e30688616",
      "addedDate": "2026-05-11 16:16:05",
      "imageHash": "57176e6a8bb8077926dv61d5ef12c0da0617a4b57",
      "imageFileName": "liveness_selfie.jpg",
      "resizedImageId": 3201876771,
      "mimeType": "jpeg",
      "imageId": 3681236159,
      "actualResolution": {
        "width": 1920,
        "height": 1080
      },
      "answer": "YELLOW",
      "comments": null,
      "idDocDef": {
        "country": "ATA",
        "idDocType": "SELFIE"
      }
    }
  ],
  "applicantType": "individual",
  "tags": [
    "test",
    "high-risk"
  ],
  "reviewResult": {
    "reviewAnswer": "RED",
    "rejectLabels": [
      "EXTERNAL_DECISION_REJECTION"
    ],
    "reviewRejectType": "FINAL"
  }
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "code": 400,
  "description": "Human-readable description",
  "correlationId": "0d3457fdac54803edf23c90000000000"
}

Path Params
string
required

Unique applicant action identifier in the Sumsub system.

You can get this identifier in response to action submission or by calling this method.

Body Params
string

Optional note text providing additional context for the applicant action.

tags
array of strings

Custom tags that you may want to assign to the applicant action. Each string represents a standalone tag.

⚠️ Tag names are case sensitive.

tags
reasons
object
required

Contains nested arrays, where each array represents a predefined reason category and includes predefined reason strings.

⚠️ If reasons is omitted, set to null, or contains no populated category lists, a 400 Bad Request response is returned.

Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!